Menu

## DecoderResult
in package

DecoderResult.php : 31

Encapsulates the result of decoding a matrix of bits. This typically applies to 2D barcode formats. For now, it contains the raw bytes obtained as well as a String interpretation of those bytes, if applicable.

### Table of Contents

$data : string
$eccLevel : EccLevel
$maskPattern : MaskPattern
$rawBytes : BitBuffer
$structuredAppendParity : int
$structuredAppendSequence : int
$version : Version
$data : string
$eccLevel : EccLevel
$maskPattern : MaskPattern
$rawBytes : BitBuffer
$structuredAppendParity : int
$structuredAppendSequence : int
$version : Version
__construct() : mixed
  DecoderResult constructor.
__get() : mixed|null
__toString() : string
getMatrix() : QRMatrix
  Returns a QRMatrix instance with thesettings and data of the reader result
hasStructuredAppend() : bool

### Properties

#### $data

DecoderResult.php : 0
`public string $data`

#### $eccLevel

DecoderResult.php : 0
`public EccLevel $eccLevel`

#### $maskPattern

DecoderResult.php : 0
`public MaskPattern $maskPattern`

#### $rawBytes

DecoderResult.php : 0
`public BitBuffer $rawBytes`

#### $structuredAppendParity

DecoderResult.php : 0
`public int $structuredAppendParity`

#### $structuredAppendSequence

DecoderResult.php : 0
`public int $structuredAppendSequence`

#### $version

DecoderResult.php : 0
`public Version $version`

#### $data

DecoderResult.php : 37
`private string $data = ''`

#### $eccLevel

DecoderResult.php : 35
`private EccLevel $eccLevel`

#### $maskPattern

DecoderResult.php : 36
`private MaskPattern $maskPattern`

#### $rawBytes

DecoderResult.php : 33
`private BitBuffer $rawBytes`

#### $structuredAppendParity

DecoderResult.php : 38
`private int $structuredAppendParity = -1`

#### $structuredAppendSequence

DecoderResult.php : 39
`private int $structuredAppendSequence = -1`

#### $version

DecoderResult.php : 34
`private Version $version`

### Methods

#### __construct()

DecoderResult.php : 44

DecoderResult constructor.

`public __construct([iteratable<string|int, mixed> $properties = null ]) : mixed`

##### Parameters

$properties : iteratable<string|int, mixed> = null

##### Return values

mixed —

#### __get()

DecoderResult.php : 64
`public __get(string $property) : mixed|null`

##### Parameters

$property : string

##### Return values

mixed|null —

#### __toString()

DecoderResult.php : 76
`public __toString() : string`

##### Return values

string —

#### getMatrix()

DecoderResult.php : 90

Returns a QRMatrix instance with thesettings and data of the reader result

`public getMatrix() : QRMatrix`

##### Return values

QRMatrix —

#### hasStructuredAppend()

DecoderResult.php : 83
`public hasStructuredAppend() : bool`

##### Return values

bool —

## Search results